IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_dis_obra_catalogo]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[upd_dis_obra_catalogo]
GO
CREATE PROCEDURE [dbo].[upd_dis_obra_catalogo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_obra_catalogo varchar(300) = null,
		@p_cantidad float = null,
		@p_valorUnitario float = null,
		@p_total float = null,
		@p_promedioDia float = null,
		@p_id_obra int = null,
		@p_id_catalogo int = null,
        @p_valorMaximo int =null,
        @p_valorMinimo int = null     
AS
BEGIN
		UPDATE [dis_obra_catalogo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[obra_catalogo] = isnull(@p_obra_catalogo,[obra_catalogo]),
			[cantidad] = isnull(@p_cantidad,[cantidad]),
			[valorUnitario] = isnull(@p_valorUnitario,[valorUnitario]),
			[total] = isnull(@p_total,[total]),
			[promedioDia] = isnull(@p_promedioDia,[promedioDia]),
			[id_obra] = isnull(@p_id_obra,[id_obra]),
			[id_catalogo] = isnull(@p_id_catalogo,[id_catalogo]),
            [valorMaximo]= isnull(@p_valorMaximo,[valorMaximo]),
            [valorMinimo]= isnull( @p_valorMinimo,[valorMinimo])

		WHERE (id = @p_id)
END

